<template>
  <div class="table">
    <div class="table_head">
      <div class="table-tr flex flex-middle">
        <div class="table-th">{{$t('history.winNum')}}</div>
        <div class="table-th">{{$t('history.all')}}</div>
        <div class="table-th">{{$t('history.wins')}}</div>
        <div class="table-th">{{$t('history.myWins')}}</div>
        <div class="table-th"><img
          src="~/static/icons/info.png"
          alt=""></div>
      </div>
    </div>
    <div class="table_body">
      <div
        class="table_body-inner"
        v-for="(item, key) in data"
        :class="'table_body-inner-'+ getClassType(item.stats)"
        :key="key"
      >
        <div class="table-tr flex">
          <div class="table-td"></div>
          <div class="table-td"></div>
          <div class="table-td"></div>
          <div class="table-td"></div>
          <div class="table-td"></div>
        </div>
        <div
          class="table-tr flex flex-middle lastWin"
          @click="showDetails(item)">
          <div class="table-td">
            <div class="lastWin-item_wrapper lastWin_number">
              <div class="betNumber">
                <div class="betNumber_inner">
                  {{item.win}}
                </div>
              </div>
            </div>
          </div>
          <div class="table-td">
            <div class="lastWin-item_wrapper">
              <div class="lastWin-item lastWin_bet">
                <div class="color-white">
                  {{item.stats.total.wins.count + item.stats.total.losses.count}}
                </div>
                <div>{{item.stats.total.bet_amount}} EOS</div>
              </div>
            </div>
          </div>
          <div class="table-td">
            <div class="lastWin-item_wrapper">
              <div class="lastWin-item lastWin_amount">
                <div class="lastWin_color-winAmount">
                  {{item.stats.total.wins.count}}
                </div>
                <div>{{item.stats.total.wins.amount}} EOS</div>
              </div>
            </div>
          </div>
          <div class="table-td">
            <div class="lastWin-item_wrapper">
              <div class="lastWin-item lastWin_myAmount">
                <div class="lastWin_color-myWinAmount">
                  {{(item.stats.player && item.stats.player.wins.count) || 0}}
                </div>
                <div>{{(item.stats.player && item.stats.player.wins.amount) || 0}} EOS</div>
              </div>
            </div>
          </div>
          <div class="table-td">
            <div class="lastWin-item_wrapper flex flex-middle flex-center">
              <Btn
                plain
                noPadding>
                <i class="i-icon-more i-deg90 color-icon"></i>
              </Btn>
            </div>
          </div>
        </div>
        <div class="table-tr flex">
          <div class="table-td"></div>
          <div class="table-td"></div>
          <div class="table-td"></div>
          <div class="table-td"></div>
          <div class="table-td"></div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import Btn from '~/components/UI/Btn';
  import IconMenu from '~/components/UI/icons/icon-menu';

  export default {
    name: "History_body_full",
    computed: {
      data() {
        return this.$store.state.game.fullData;
      }
    },
    components: {
      Btn,
      IconMenu
    },
    methods: {
      getClassType(stats) {
        // 3 - neutral, 2 - win, 1 - lose, 0 - win other
        let type = '3';

        if (stats.total.losses.count && !stats.total.wins.count) type = '4';
        if (stats.player && stats.player.wins.count) type = '2';
        if (stats.player && !stats.player.wins.count && stats.player.losses.count) type = '1';
        if ((stats.player && !stats.player.wins.count && !stats.player.losses.count || !stats.player) && stats.total.wins.count) type = '0';
        return type;
      },
      showDetails(item) {
        this.$store.commit('gameDetails/SET_HISTORY_GAME_SETTINGS', item);
        this.$store.dispatch('gameDetails/fetch', {
          hash: item.house_seed_hash,
          type: 'my'
        });
        this.$store.dispatch('gameDetails/fetch', {
          hash: item.house_seed_hash,
          type: 'others'
        });
        this.$store.commit('gameDetails/SET_SHOWING', true);
      }
    },
    created() {
      this.$store.dispatch('game/fetchGames', {
        limit: 20,
        commit: 'SET_FULL_DATA'
      });
    }
  }
</script>
